Package org.apache.ignite.internal.processors.cache

## Class CacheWeakQueryIteratorsHolder.WeakQueryCloseableIterator<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridIteratorAdapter<T>
  - - org.apache.ignite.internal.util.GridCloseableIteratorAdapter<T>
    - - org.apache.ignite.internal.processors.cache.CacheWeakQueryIteratorsHolder.WeakQueryCloseableIterator<T>

Type Parameters:
  `T` - Type.

All Implemented Interfaces:
  `Serializable`, `AutoCloseable`, `Iterable<T>`, `Iterator<T>`, `CacheWeakQueryIteratorsHolder.WeakReferenceCloseableIterator<T>`, `GridSerializableIterator<T>`, `GridCloseableIterator<T>`, `GridIterator<T>`, `IgniteSpiCloseableIterator<T>`

Enclosing class:
  CacheWeakQueryIteratorsHolder<V>

    public class CacheWeakQueryIteratorsHolder.WeakQueryCloseableIterator<T>
    extends GridCloseableIteratorAdapter<T>
    implements CacheWeakQueryIteratorsHolder.WeakReferenceCloseableIterator<T>

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `onClose()` Invoked on iterator close.
`protected boolean` `onHasNext()`
`protected T` `onNext()`
`protected void` `onRemove()` Called on remove from iterator.
`WeakReference` `weakReference()`

### Methods inherited from class org.apache.ignite.internal.util.GridCloseableIteratorAdapter

`checkClosed, close, hasNextX, isClosed, nextX, removeX`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridIteratorAdapter

`hasNext, iterator, next, remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridCloseableIterator

`close, isClosed`

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX, removeX`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, hasNext, next, remove`

### Method Detail

#### onNext

    protected T onNext()
                throws IgniteCheckedException

Specified by:
  `onNext` in class `GridCloseableIteratorAdapter<T>`
Returns:
  Next element.
Throws:
  `IgniteCheckedException` - If failed.

#### onHasNext

    protected boolean onHasNext()
                         throws IgniteCheckedException

Specified by:
  `onHasNext` in class `GridCloseableIteratorAdapter<T>`
Returns:
  `True` if iterator has next element.
Throws:
  `IgniteCheckedException` - If failed.

#### onRemove

    protected void onRemove()
                     throws IgniteCheckedException

Called on remove from iterator.

Overrides:
  `onRemove` in class `GridCloseableIteratorAdapter<T>`
Throws:
  `IgniteCheckedException` - If failed.

#### onClose

    protected void onClose()
                    throws IgniteCheckedException

Invoked on iterator close.

Overrides:
  `onClose` in class `GridCloseableIteratorAdapter<T>`
Throws:
  `IgniteCheckedException` - If closing failed.

#### weakReference

    public WeakReference weakReference()

Specified by:
  `weakReference` in interface `CacheWeakQueryIteratorsHolder.WeakReferenceCloseableIterator<T>`
Returns:
  Iterator weak reference.